\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 2D and 3D Linear Geometry Kernel

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Functions
CGAL::collinear_are_ordered_along_line()
Global Kernel Functions

##

See Also
  `CGAL::are_ordered_along_line()`
  `CGAL::are_strictly_ordered_along_line()`
  `CGAL::collinear_are_strictly_ordered_along_line()`

## Functions
template<typename Kernel >
bool | CGAL::collinear_are_ordered_along_line (const CGAL::Point_2< Kernel > &p, const CGAL::Point_2< Kernel > &q, const CGAL::Point_2< Kernel > &r)
| returns `true`, iff `q` lies between `p` and `r`. More...
template<typename Kernel >
bool | CGAL::collinear_are_ordered_along_line (const CGAL::Point_3< Kernel > &p, const CGAL::Point_3< Kernel > &q, const CGAL::Point_3< Kernel > &r)
| returns `true`, iff `q` lies between `p` and `r`. More...

## Function Documentation

template<typename Kernel >

bool CGAL::collinear_are_ordered_along_line | ( | const CGAL::Point_2< Kernel > & | p,
|  | const CGAL::Point_2< Kernel > & | q,
|  | const CGAL::Point_2< Kernel > & | r
| ) |  |

returns `true`, iff `q` lies between `p` and `r`.

Precondition
  `p, q` and `r` are collinear.

`#include <CGAL/Kernel/global_functions.h>`

template<typename Kernel >

bool CGAL::collinear_are_ordered_along_line | ( | const CGAL::Point_3< Kernel > & | p,
|  | const CGAL::Point_3< Kernel > & | q,
|  | const CGAL::Point_3< Kernel > & | r
| ) |  |

returns `true`, iff `q` lies between `p` and `r`.

Precondition
  `p, q` and `r` are collinear.

`#include <CGAL/Kernel/global_functions.h>`